Si High Sierra refuse de s’installer, vérifiez la date de votre Mac

Nicolas Furno |

Apple a modifié quelque chose dans l’installateur de son système d’exploitation avec macOS 10.13.4. Nous avons rencontré plusieurs problèmes pour l’installer ou pour installer une bêta et à chaque fois, nous avons été contraints de réinstaller le système en téléchargeant à nouveau les fichiers nécessaires depuis les serveurs d’Apple. Télécharger la version combo et une clé USB d’installation était aussi une option dans ce cas de figure.

Même alors, macOS peut vous bloquer au moment de l’installation dans un cas précis : si votre Mac n’est pas à l’heure. Le journal du Lapin évoque un message d’erreur qui peut être affiché au moment de l’installation : « Cette copie de l’application Installer macOS High Sierra est endommagée et ne peut pas servir à installer macOS. ». Si vous obtenez ce message d’erreur, le problème vient peut-être du réglage de l’heure sur votre Mac.

Si vous voyez cette erreur lors de l’installation de macOS, commencez par vérifier la date et l’heure de l’ordinateur avant d’essayer autre chose.

En théorie, macOS reste calé sur le bon jour et la bonne heure en vérifiant régulièrement l’heure universelle sur un serveur distant. Mais il peut arriver que le système soit décalé, notamment si l’ordinateur n’est pas utilisé pendant longtemps et qu’il est totalement débranché. Cela peut être le cas sur un portable laissé en veille et qui n’aurait pas été branché pendant une semaine ou deux, par exemple.

Quelle que soit la raison, vous pouvez remettre les pendules à l’heure, soit en utilisant l’ancienne version de macOS si elle est encore disponible, soit le terminal si vous avez effacé le support de stockage. Démarrez le Mac sur sa partition de restauration (⌘R), puis lancez le terminal proposé dans le menu Utilitaires. Saisissez ensuite la date actuelle en utilisant cette syntaxe : date MMJJHHmmAA, où MM correspond au mois, JJ au jour, HH à l’heure, mm aux minutes et AA à l’année. Par exemple, vous saisirez date 0423140018 pour le 23 avril 2018 à 14h00.

Voici à quoi doit ressembler la commande de terminal.

Validez le changement avec la touche retour, fermez le terminal et relancez le processus d’installation. Si c’était bien le problème, vous ne devriez plus avoir le message d’erreur. Sinon, il ne vous restera plus que l’option pour réinstaller depuis le web en choisissant l’option « Réinstaller macOS » depuis le menu principal de la partition de restauration. Normalement, vos données personnelles ne seront pas modifiées, mais mieux vaut s’assurer qu’une sauvegarde est disponible quelque part pour ce genre de problèmes.

avatar House M.D. | 

Arrivée des « Apple c’est plus ce que c’était » et autres « High Sierra creuse encore plus bas » dans 3, 2, 1....

avatar frankm | 

Me voilà, comme Windows quoi !

avatar hogs | 

La date de ta machine n'influe en rien l'installation de windows ...
Le sens de ta remarque m'échappe si ce n'est pas de la médisance gratuite.

avatar frankm | 

@hogs

Oui c'est ça. Et bien au boulot il ne faut pas que la date soit trop ancienne sinon c'est l'échec

avatar getnuts | 

Pendant longtemps, j'ai voyagé sans batterie sur un mbp 2012 pour gagner du poids. Il était bcp plus léger :) Génial :) Le seul truc relou sans batterie c'est de devoir remettre la date à jour à chaque démarrage mais avec internet et la synchro auto c'est pas un soucis...

Puis vint le jour du SSD qui lache et celui consécutif d'installer Yosemite...

L'erreur de date a été le truc le plus relou à comprendre, pendant des jours macOS me refusait le téléchargement de l'OS via internet recovery, l'erreur retournée était très similaire !

Je les ai maudits, mais j'ai beaucoup appris... en tout cas c'est présent depuis au moins Yosemite cette affaire de date...

avatar fabricepsb71 | 

@House M.D.

À touché le fond. Creuse encore

avatar fte | 

@House M.D.

Pas besoin, tu l’as fait le premier.

avatar youbzh | 

J'ai ce type d'erreur très souvent quand j'essaie d'installer OSX sur une machine. Je ne sais pas si il s'agit du même souci mais c'est là : http://osxdaily.com/2015/01/19/fix-os-x-install-errors-cant-be-verified-...

avatar magic.ludovic | 

Le message d'erreur à la Windows ! Énorme ! ... Apple c’est plus ce que c’était ...

avatar Nesus | 

Merci Pierre !

avatar C1rc3@0rc | 

«Si High Sierra refuse de s’installer, vérifiez la date de votre Mac»

Effectivement, le Mac pourrait se croire un peu apres la keynote d'ouverture de la WWDC 2018 (donc dans 5 semaines) suite a l'enterrement officiel de MacOS HS 10.13!

Et quoi de plus naturel en somme qu'une machine doté de composants que les marketeux nous vendent pour etre un support a l'intelligence artificielle, developpe une conscience, et s'horrifie de l'horreur que d'etre affligée par l'immondice qu'est MacOS 10.13, et surtout de son cadavre?

Dans 5 semaines, Apple commencera son long travail pour effacer les traces de MacOS 10.13 et iOS 11, plus un seul article ne sera sponsorisé pour evoquer ces calamités, peut etre meme qu'Apple paiera les sites Web, et meme Google, pour dereferencer les termes amenant a MacOS 10.13 et iOS 11.

Quelques semaines plus tard, au lancement des nouveaux iPhone, il n'existera plus iOS 12, Apple s'empressant d'annuler la signature d'iOS 11 qui n'existera donc plus!

De profundis...

Quand aux chanceux et opiniâtres qui ont reussi a ce que ces déjections pommées ne viennent pourrir leurs appareils, profitez de votre bonheur, ne risquez pas - par entêtement ou fanfaronade - de vous jetez dans la géhenne des Vista d'Apple. Plus que 5 semaines!

avatar elbibou | 

Merci du tuyau MacG une fois de plus

avatar johndoo | 

Ils sont sérieux ??!! Ça devient un sacré bordel une installation! Et on peut se frotter aussi si son mac a plus de 4 ans! Perso Apple c’est toujours beau mais ça me donne moins envie de continuer, qui sait une surface pro bientôt ...🤔

avatar Cagliostro | 

+1,
mais la Surface est, elle aussi, cher pour ce qu'elle a dans le ventre. Pour le même prix, voir moins cher, tu peux te prendre un PC portable (de nos jours il existe des portable ultrat puissant et légé)

avatar r e m y | 

C'est loin d'être nouveau cette nécessité d'être parfaitement à l'heure pour permettre l'installation... des années maintenant que c'est l'une des causes à rechercher en cas de blocage. Il suffit de consulter les forums de MacG pour s'en convaincre.
Rien à voir avec 10.13.4

avatar Issou la chancla | 

Et dans quel monde ça devrait être normal qu'un puisse pas mettre à jour un ordinateur sous prétexte que la date n'est pas bonne?

avatar r e m y | 

@Issou la chancla

Je n'ai jamais dit que c'était normal... c'est juste un constat. Les certificats de sécurité de l'installeur réagissent mal si date et heure sont décalées.
Et je m'étonne que les rédacteurs de MacG pensent que ce soit un comportement apparu avec la version 10.13.4 de HighSierra.

avatar fte | 

@Issou la chancla

"Et dans quel monde ça devrait être normal qu'un puisse pas mettre à jour un ordinateur sous prétexte que la date n'est pas bonne?"

Ça peut sembler absurde, en effet.

Mais la vérification que le système à installer n’est pas vérolé impose de vérifier les signatures cryptographiques et des certificats, datés, ayant des durées de validité précises.

Après, un message plus explicite est certainement nécessaire, et peut-être qu’une option d’installer le système malgré l’échec de la validation serait bienvenue moyennant une information claire donnée au préalable. Mais ce serait très clairement un trou de sécurité important.

avatar xDave | 

@fte

En effet ça fait un moment qu'on a plus le choix dans la date...

avatar Espcustom | 

Je ne vois pas pkoi tout le monde s’offusque. On a trouver le problème et la solution. On passe à autre chose maintenant.

avatar byte_order | 

Ouais, d'ailleurs même Apple est passé à autre chose que son "It just works".
P'tet pour cela que tout le monde s'offusque : it doesn't just works anymore.

Et si c'est pour passer à autre chose, pourquoi pas passer à d'autres plateformes, si l'argument du "it just works" n'est plus effectif ?

avatar YARK | 

Rien de neuf sous le soleil. C'est la procédure que j'ai dû faire 2 ou 3 fois pour mettre El Capitan dessus avec une clé d'installation après avoir enlevé Sierra sur 2 Mac que j'ai acheté d'occas'.

Tant qu'on ne m'aura pas argumenté le supplément qualitatif des nouveaux OS.
Il y aurait bien le format APFS qui me tenterait mais j'avoue que j'ai un peu peur de convertir mes volumes. Bah, je vais juste attendre 4-5 ans.
Pas vraiment victime de la précipitation, voyez-vous...

avatar Vostorn | 

C'est donc ça que j'avais eu il y a quelques mois.

J'avais même re-téléchargé et refait une clé usb-bootable plusieurs fois, rien à faire.

J'ai fini par aller en Apple Store. Avec leur installateur via ethernet, ça a marché direct. Heureusement que j'en ai un à 30min de chez moi...

avatar P'tit Suisse | 

Et pour installer un ancien OSX (le nv “détruisant” trop d'applications et/ou émulations) me rappelle avoir dû modifier - hors ligne - les réglages de date d'un ou 2 ans dans le passé et redęmarrer la machine 🤦‍♂️

avatar r e m y | 

@P'tit Suisse

Ça c'est vrai si l'installeur a été téléchargé il y a longtemps avant qu'Apple ne modifie ses certificats de sécurité.
L'installeur ayant encore l'ancienne version des certificats il faut soit ré télécharger l'installeur, soit faire remonter le Mac dans le temps à une date à laquelle les anciens certificats étaient encore valides.

Pages

CONNEXION UTILISATEUR